| Flutter Linux Embedder |

Public Attributes | List of all members
_FlView Struct Reference

## Public Attributes
GtkBox | parent_instance
FlEngine * | engine
guint | on_pre_engine_restart_handler
FlutterViewId | view_id
FlRendererGdk * | renderer
GdkRGBA * | background_color
gboolean | have_first_frame
int64_t | button_state
FlWindowStateMonitor * | window_state_monitor
FlScrollingManager * | scrolling_manager
FlKeyboardHandler * | keyboard_handler
FlTextInputHandler * | text_input_handler
FlMouseCursorHandler * | mouse_cursor_handler
FlPlatformHandler * | platform_handler
GtkWidget * | event_box
GtkGLArea * | gl_area
gboolean | pointer_inside
KeyboardLayoutNotifier | keyboard_layout_notifier
GdkKeymap * | keymap
gulong | keymap_keys_changed_cb_id
FlViewAccessible * | view_accessible
GCancellable * | cancellable

## Detailed Description

Definition at line 37 of file fl_view.cc.

## Member Data Documentation

## ◆ background_color

GdkRGBA* _FlView::background_color

Definition at line 53 of file fl_view.cc.

## ◆ button_state

int64_t _FlView::button_state

Definition at line 59 of file fl_view.cc.

## ◆ cancellable

GCancellable* _FlView::cancellable

Definition at line 87 of file fl_view.cc.

## ◆ engine

FlEngine* _FlView::engine

Definition at line 41 of file fl_view.cc.

## ◆ event_box

GtkWidget* _FlView::event_box

Definition at line 72 of file fl_view.cc.

## ◆ gl_area

GtkGLArea* _FlView::gl_area

Definition at line 73 of file fl_view.cc.

## ◆ have_first_frame

gboolean _FlView::have_first_frame

Definition at line 56 of file fl_view.cc.

## ◆ keyboard_handler

FlKeyboardHandler* _FlView::keyboard_handler

Definition at line 67 of file fl_view.cc.

## ◆ keyboard_layout_notifier

KeyboardLayoutNotifier _FlView::keyboard_layout_notifier

Definition at line 79 of file fl_view.cc.

## ◆ keymap

GdkKeymap* _FlView::keymap

Definition at line 80 of file fl_view.cc.

## ◆ keymap_keys_changed_cb_id

gulong _FlView::keymap_keys_changed_cb_id

Definition at line 81 of file fl_view.cc.

## ◆ mouse_cursor_handler

FlMouseCursorHandler* _FlView::mouse_cursor_handler

Definition at line 69 of file fl_view.cc.

## ◆ on_pre_engine_restart_handler

guint _FlView::on_pre_engine_restart_handler

Definition at line 44 of file fl_view.cc.

## ◆ parent_instance

GtkBox _FlView::parent_instance

Definition at line 38 of file fl_view.cc.

## ◆ platform_handler

FlPlatformHandler* _FlView::platform_handler

Definition at line 70 of file fl_view.cc.

## ◆ pointer_inside

gboolean _FlView::pointer_inside

Definition at line 76 of file fl_view.cc.

## ◆ renderer

FlRendererGdk* _FlView::renderer

Definition at line 50 of file fl_view.cc.

## ◆ scrolling_manager

FlScrollingManager* _FlView::scrolling_manager

Definition at line 64 of file fl_view.cc.

## ◆ text_input_handler

FlTextInputHandler* _FlView::text_input_handler

Definition at line 68 of file fl_view.cc.

## ◆ view_accessible

FlViewAccessible* _FlView::view_accessible

Definition at line 85 of file fl_view.cc.

## ◆ view_id

FlutterViewId _FlView::view_id

Definition at line 47 of file fl_view.cc.

## ◆ window_state_monitor

FlWindowStateMonitor* _FlView::window_state_monitor

Definition at line 62 of file fl_view.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_view.cc